Reecall
Reecall API

core_user


List all

GET
https://newprd.reecall.io/data_next
/core/users/

List all › query Parameters

where
​string

JSON-encoded filter object

limit
​integer · min: 1

Max number of records to return

page
​integer · min: 1

Page number (1-based)

orderBy
​string

JSON-encoded sort definition

select
​string

Optional list of fields to select

search
​string · maxLength: 200

PostgreSQL regex pattern (~*) to search in configured fields

List all › Responses

Successful operation

sub
​string · required
id
​string
role
​string
policy
​string
projectId
​string
​object
organizationId
​string
​object
createdAt
​string · date-time
updatedAt
​string · date-time

Count all

GET
https://newprd.reecall.io/data_next
/core/users/count

Count all › Responses

Successful operation

sub
​string · required
id
​string
role
​string
policy
​string
projectId
​string
​object
organizationId
​string
​object
createdAt
​string · date-time
updatedAt
​string · date-time

GET core_user

GET
https://newprd.reecall.io/data_next
/core/users/me

GET core_user › Responses

Successful operation

sub
​string · required
id
​string
role
​string
policy
​string
projectId
​string
​object
organizationId
​string
​object
createdAt
​string · date-time
updatedAt
​string · date-time

Retrieve one

GET
https://newprd.reecall.io/data_next
/core/users/{id}

Retrieve one › path Parameters

id
​string · required

Retrieve one › query Parameters

select
​string

Optional list of fields to select

Retrieve one › Responses

Successful operation

sub
​string · required
id
​string
role
​string
policy
​string
projectId
​string
​object
organizationId
​string
​object
createdAt
​string · date-time
updatedAt
​string · date-time